# Phoenix Wright, The Ace Attorney

Adds Phoenix Wright to Risk of Rain 2, based of his moveset in Marvel vs Capcom 3.

Network Compatible (Except for one issue that I need to fix)

Created by BokChoyWithSoy. Help me out for bugs and issues by contacting me on discord: BokChoyWithSoy#3842

<img src="https://cdn.discordapp.com/attachments/399901440023330816/927506880002129970/Phoenix_Lobby.png">
  
## Skills

### Passive: Turnabout
#### <img src="https://cdn.discordapp.com/attachments/399901440023330816/927507829273817088/texBuffIcon.png">
Whenever you hit an enemy with Press The Witness while holding a decisive piece of evidence, gain a stack of turnabout, if you have 50 stacks of turnabout, Phoenix will enter turnabout mode, replacing Phoenix's primary and secondary abilities with empowered versions.

### Primary: Throw Evidence
<img src="https://cdn.discordapp.com/attachments/399901440023330816/927507210026745956/texServbotIcon.png">
<img src="https://cdn.discordapp.com/attachments/399901440023330816/927507210563645500/texBottleIcon.png">
<img src="https://cdn.discordapp.com/attachments/399901440023330816/927507746725715988/texVaseIcon.png">
<img src="https://cdn.discordapp.com/attachments/399901440023330816/927507211012411392/texKnifeIcon.png">
<img src="https://cdn.discordapp.com/attachments/399901440023330816/927507209640882176/texPhoneIcon.png"><br>
Agile. Throw a random piece of evidence, junk will deal 200% damage and decisive evidence will deal 400% damage.

### Turnabout Primary: Take That!
<img src="https://cdn.discordapp.com/attachments/399901440023330816/927509050730614815/texPrimaryUpgrade.png"><br>
Agile. Summon a giant hand which travels in a line, dealing 600% damage.

### Secondary: Press The Witness
<img src="https://cdn.discordapp.com/attachments/399901440023330816/927509762449498112/texPressIcon.png"><br>
Stunning. Press the witness, dealing 600%.

### Turnabout Secondary: Objection!
<img src="https://cdn.discordapp.com/attachments/399901440023330816/927510244827996180/texSecondaryUpgradeIcon.png"><br>
Stunning. Raise an objection, dealing 800% damage.

### Utility: Fall
<img src="https://cdn.discordapp.com/attachments/399901440023330816/927510540060880996/texTripIcon.png"><br>
Stunning. Fall forward on your face gaining 300 armour and dealing 300% damage. You cannot be hit during the fall.

### Special: Order In The Court!
<img src="https://cdn.discordapp.com/attachments/399901440023330816/927511214836314142/texGavelIcon.png"><br>
Stunning. After a short delay, a giant gavel falls from the sky dealing 1000% damage. You cannot be hit for 2 seconds.

## Changelog

-1.2.0
	- Added mastery achievement.
	- Added mastery skin (find out what it is.)
	- Increased the range of "Order In The Court!"
	- Increased the proc rate of "Order In The Court!"
	- Increased the proc rate of "Press."

-1.1.2
	- Increased the projectile size of primary attack to improve hitbox consistency.
	- Increased the projectile size of the turnabout primary attack to improve hitbox consistency.
	- Turnabout stacks now reset in multiplayer when starting a new run.
	- "Order In The Court!" now makes the character invincible for a short duration to enourage use of it without dying immediately. 
	- Added the ability to use "Press" while using your primary fire.
	- Added symbols to primary icons to make them colourblind friendly.
	- Improved the throwing animation to make it look a lot less scuffed.

	
-1.1.1
	- Reduced the volume of all voice and sound effects.
	- Reduced the range in which you hear voice and sound effects.
	- Added keywords to skill descriptions to make them easier to read.
	- Changed in game character name to "Attorney" to conform better with the naming scheme of the game.
	- Gaining a stack of turnabout will automatically reroll into junk evidence so you may no longer roll into another decisive evidence.
	- Increased projectile speed of "Take That!".
	- "Order In The Court!" now screen shakes for effect.
	- Increased duration of armour and invincibility for "Fall" to increase survivability.

-1.1.0
	- Added sounds all of Phoenix's skills.
	- Added sounds when gaining turnabout stacks.
	- Added music when you enter turnabout mode.

-1.0.2
	- Fixed a bug where switching levels reset the empowered primary and secondary skill to the base states.
	- Fixed a bug where turnabout stacks did not reset upon starting a new game.

-1.0.1
	- Fixed a bug where turnabout stacks were not working if you were not the host of the game.
	- Fixed a bug where your primary attack did not shuffle to a new item if you were playing muliplayer.

-1.0.0
	- Initial Release
 
## Future Plans
- Implement new skills
- Fix some bugs (in Known issues)
- Add stand alone scepter support
- Maybe add items displays
- New skins
- New achievements
- Clean up the atrocity that I call code

## Known Issues
- In multiplayer, for some goddamn reason, the normal primary spawns the prefab of the empowered primary and you have people throwing arms around, this problem only exists for clients.

## Credits
- Rob's HenryMod -> prevented me from experiencing excruciating pain
- Capcom -> Model & Texturing
- Mixamo -> Animations
- TheTimesweeper -> Hitbox viewer was extremely helpful
- My friends, TeaL & Ethanol 10 who helped me troubleshoot in discord calls.
- The vast amount of Vtuber streams I watched while coding which kept me sane.
